<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>List Groups</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css">
</head>
<body>
<div class="container my-2">
    <div class="card">
        <div class="card-body">
            <!-- Include _menu.html -->
            <th:block th:include="_menu"></th:block>
            <div th:switch="${groups}" class="container my-5">
                <div class="col-md-10">
                    <h2 th:case="null">No record found !!</h2>
                    <div th:case="*">
                        <table class="table table-striped table-responsive-md">
                            <thead>
                            <tr>
                                <th>Group name</th>
                                <th>Semester</th>
                                <th>List</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr th:each="group : ${groups}">
                                <td th:text="${group.name}"></td>
                                <td th:text="${group.semester}"></td>
                                <td>
                                    <a th:href="@{/listStudentsGroup/{id}(id=${group.id})}" class="btn btn-primary">
                                        <i class="fas fa-angle-double-right"></i>
                                    </a>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>